## dods.dap.Server
Interface ServerSideFunction

All Known Subinterfaces:
  BoolFunction, BTFunction

public interface ServerSideFunction

Represents common interface of all server-side functions (SSF). Implementing this interface is not sufficient to create a working SSF. SSF's must implement (at least) one of the subinterfaces BoolFunction and BTFunction.

Method Summary
`void` `checkArgs(List args)` Checks that the arguments given are acceptable arguments for this function.
`String` `getName()` Returns the name of the server-side function, as it will appear in constraint expressions.

Method Detail

### getName

    public String getName()

  Returns the name of the server-side function, as it will appear in constraint expressions. This must be a valid DODS identifier. All functions must have distinct names.

### checkArgs

    public void checkArgs(List args)
                   throws InvalidParameterException

  Checks that the arguments given are acceptable arguments for this function. This method should only use those attributes of a SubClause which do not change over its lifetime - whether it is constant, what class of SubClause it is, what class of BaseType it returns, etc. Thus, the method should not look at the actual value of an argument unless the argument is flagged as constant.

  Parameters:
    `args` - A list of SubClauses that the caller is considering passing to the evaluate() method of the function.
  Returns:
    The function should return normally if the arguments appear acceptable, and throw an exception describing the problem otherwise.
  Throws:
    `InvalidParameterException` - Thrown if the function will not evaluate successfully using these arguments.